import Api,{ HttpResponse, Result } from '../utils/request';


class LOGOService{

    static async EnableGroupLogo(IsEnableLogo:number):Promise<HttpResponse>{
        let params = {IsEnableLogo}
        return Api.Post("ppt_EnableGroupLogo",params)
    }

    static async DelGroupLogo(TId:any):Promise<HttpResponse>{
        return Api.Post("ppt_DelGroupLogo",{TId})
    }

    static async SetBatchGroupLogo(LogoList:any):Promise<HttpResponse>{
        let params = {LogoList}
        return Api.Post("ppt_SetBatchGroupLogo",params)
    }

    static async SetGroupLogo(params:any):Promise<HttpResponse>{
        return Api.Post("ppt_SetGroupLogo",params)
    }

    static async GetPPTistGroupLogoList():Promise<HttpResponse>{
        return Api.Post("ppt_GetPPTistGroupLogoList",{})
    }

}
export default LOGOService;